﻿

using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace PDF_Hello
{
    
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
      

        public MainPage()
        {
            this.InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            PdfDocument document2 = new PdfDocument();
            document2.PageSettings.Margins.All = 0;
            PdfPage page = document2.Pages.Add();
            PdfGraphics graphics = page.Graphics;
            PdfFont font = new PdfStandardFont(PdfFontFamily.TimesRoman, 12);
            graphics.DrawString("Sample Hello World", font, PdfBrushes.Black, new PointF(100, 100));
         

            MemoryStream input = new MemoryStream();
            document2.Save(input);
            input.Position = 0;
            document2.Close(true);

            PdfLoadedDocument document = new PdfLoadedDocument(input);

            MemoryStream doc = new MemoryStream();
            document.Save(doc);
            Save(doc);
        }
        private async void Save(Stream stream)
        {
            try
            {
                Windows.Storage.Pickers.FileSavePicker save = new Windows.Storage.Pickers.FileSavePicker();
                save.SuggestedStartLocation = Windows.Storage.Pickers.PickerLocationId.Desktop;
                save.DefaultFileExtension = ".pdf";
                save.FileTypeChoices.Add("PDF", new string[] { ".pdf" });
                StorageFile filesave = await save.PickSaveFileAsync();
                if (filesave != null)
                {
                    Windows.Storage.Streams.IRandomAccessStream fileStream = await filesave.OpenAsync(FileAccessMode.ReadWrite);
                    Stream st = fileStream.AsStreamForWrite();
                    st.Write((stream as MemoryStream).ToArray(), 0, (int)stream.Length);
                    st.Flush();
                    st.Dispose();
                    fileStream.Dispose();
                }
            }
            catch
            {
            }
        }
    }
}
